light-mode-image
Learn
API ReferenceCWT Apple Pass templates

Update an Apple Pass template

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_STARTCREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_SUCCESSCREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_FAIL
PUT/v2/credentials/compact/digital-pass/apple/templates/{id}

Updates an existing Apple Pass template by providing its ID and a .zip file. Refer to our Design an Apple Pass template guide for more information on how to design the template and how to structure the .zip file.

Analytic events

  • CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_START
  • CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_SUCCESS
  • CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Apple Pass template ID

id*string

Apple Pass template ID

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/credentials/compact/digital-pass/apple/templates/string" \  -F template="string" \  -F name="string" \  -F fileName="string" \  -F teamIdentifier="string" \  -F passTypeIdentifier="string" \  -F wwdr="string" \  -F signerCert="string" \  -F signerKey="string" \  -F signerKeyPassphrase="string"
{  "id": "string",  "passType": "apple",  "name": "string",  "metadata": {    "fileName": "string",    "teamIdentifier": "string",    "passTypeIdentifier": "string"  }}

How would you rate this page?